#	Change to source file name
target=bintree
#	May be either 'a' or 'so'
suffix=a
#	Change to directory libv installed into
libvroot=../..
rm=rm -f
cc=gcc
cdebug=-ggdb
cflags=-c -Wall -pedantic -idirafter $(libvroot)/include
ld=gcc
lflags=-lm -o $(target)
libs=$(libvroot)/lib/generic/libv.$(suffix) /usr/lib/libpthread.a
xlibs=/usr/X11R6/lib/libGL.a /usr/X11R6/lib/libX11.a
all:$(target)
.c.o:
	$(cc) $(cflags) $(cdebug) $*.c
$(target):$(target).o
	$(ld) $(target).o $(libs) $(lflags)
clean:
	$(rm) $(target).o
	$(rm) $(target)
